# Uses of Class
javax.security.cert.CertificateExpiredException

Packages that use CertificateExpiredException
Package
Description
javax.security.cert
Provides classes for public key certificates.

## Uses of CertificateExpiredException in javax.security.cert

Methods in javax.security.cert that throw CertificateExpiredException
Modifier and Type
Method
Description
`abstract void`
X509Certificate.`checkValidity()`
Deprecated, for removal: This API element is subject to removal in a future version.
Checks that the certificate is currently valid.
`abstract void`
X509Certificate.`checkValidity(Date date)`
Deprecated, for removal: This API element is subject to removal in a future version.
Checks that the specified date is within the certificate's validity period.